[arch-commits] Commit in resourceproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 16:03:58 EDT 2009


    Date: Friday, April 17, 2009 @ 16:03:58
  Author: eric
Revision: 35847

Merged revisions 356,35842 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/resourceproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35842 | eric | 2009-04-17 15:42:50 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: resourceproto 1.0.2-2
      Added license
........

Modified:
  resourceproto/repos/extra-i686/	(properties)
  resourceproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: resourceproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /resourceproto/trunk:1
   + /resourceproto/trunk:1-35846

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-17 20:02:51 UTC (rev 35846)
+++ extra-i686/PKGBUILD	2009-04-17 20:03:58 UTC (rev 35847)
@@ -3,17 +3,19 @@
 
 pkgname=resourceproto
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Resource extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('b823b314e37eb19dae1f297951d2e933')
 sha1sums=('ac22c2e439067185ea169d20677f74321da7b34b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list